#ifndef __SECTIONSTORE_H
#define __SECTIONSTORE_H

#include <exec/types.h>

typedef APTR SECTIONSTOREPTR;

#include "configmodel.h"

SECTIONSTOREPTR SectionStoreNew(VOID);
VOID SectionStoreFree(SECTIONSTOREPTR sectionStore);

VOID SectionStoreAddSection(SECTIONPTR section);
VOID SectionStoreRemoveSection(SECTIONPTR section);
VOID SectionStoreRemoveSectionByName(CONST_STRPTR canonicalName);

SECTIONPTR SectionStoreGetSection(CONST_STRPTR canonicalName);
#endif